Subject: Re: WP3.0 WorldScript Savvy? NO!

From: "Jennifer N. Young" <[email-masked]>
Date: Tue, 15 Feb 1994 00:33:26 -0800

>>WP can open these files and the files in Geneva fonts just looked like what
>>I normally got for a gb files under English environment. The problem is when
>>I highlighted the content and changed the font to Beijing or Song, all the
>>characters changed into little squarish faces.  Please note that I did select
>>China-Chinese in Language manu and the Use Inline was also checked.I would
>>like to know what I did wrong.

As pointed out by John, pressing shift key while selecting a Chinese
font should do the job.  Use Inline should not be selected.  In the
language menu it doesn't matter if China-Chinese is selected.  In
fact, it's better not to select it because your underlying OS is US
with Chinese as an extension unless you register WP as a Chinese
application.

However, I am curious how long does WP take to do all these operations:
importing GB files (non-WP), and changing font to Chinese.  On my Mac,
it takes forever to do it and when it's done, it still has gibberish.
WP3.0 has serious bugs; see below.

>>WP is supposed to be worldscript concious.  I hope what I did something wrong
>>here.  Otherwise, I will be stuck with a piece of useless software.

WP3.0 is not WorldScript-savvy as well as Nisus 3.842.  It has some major
and annoying bugs dealing with Chinese.  To wit: it doesn't know Chinese
word boundary so it will put a period at the beginning of a line.  Very
smart!  The support of importing non-WP created files is lousy: it takes
too long and doesn't do the job correctly (see above).  When there are
Chinese and English texts together, WP can't handle justification
properly.  Too bad!  But what do you expect for $59?

I have complained bitterly to WP Corporation about these bugs and was
promised a new release within a few months.  Who knows, they probably
will fix these bugs if enough people have bitched!

Oh well, I return you to your regular program.